#!/bin/bash -e

# Find packages holding duplicate manpages

PACKNAME=manpages-es-extra
INSTALLED="usr/share/man"
PACKDIR="debian/${PACKNAME}"

# Debug output?
debug=0

[ ! -d "$PACKDIR" ] && { echo "Cannot find $PACKDIR" >&2 ; exit 1; }
[ ! -d "${PACKDIR}/${INSTALLED}" ] && { echo "Cannot find $INSTALLED under $PACKDIR" >&2 ; exit 1; }

find ${PACKDIR}/${INSTALLED} -type f | 
while read file; do
# Strip off PACKDIR and add INSTALLED
	manpage=`basename $file`
	manpage="$INSTALLED/$manpage"
	[ $debug -gt 0 ] && echo "Looking for manpage $manpage"
	found=`apt-file search $manpage | grep -v ^$PACKNAME`
	if [ -n "$found" ] ; then
		count=`echo $found | wc -l`
		if [ "$count" -gt 0 ] ; then
			echo "Found manpage $manpage in $count other packages:"
			echo $found
		fi
	fi
done

exit 0
